<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
$success=true;

set_time_limit(0);

if (Db::i()->selectCell("SELECT module_id FROM ?_modules WHERE module='news'")) {
	Db::i()->query(
		"ALTER TABLE ?_news CHANGE `news_id` `new_id` INT( 3 ) NOT NULL AUTO_INCREMENT ,
		CHANGE `news_date` `date` INT( 10 ) UNSIGNED NOT NULL ,
		CHANGE `news_title` `title` VARCHAR( 150 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
		CHANGE `news_text` `text` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL "
	);
}



